import { EventEmitter } from "@angular/core";
import { ModalController, ViewController, NavParams } from "ionic-angular";
import { DatePickerOption } from "./date-picker.interface";
/**
 * Generated class for the DatePickerComponent component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
export declare class DatePicker {
    modalCtrl: ModalController;
    viewCtrl: ViewController;
    onDateSelected: EventEmitter<Date>;
    onCancelled: EventEmitter<any>;
    private currentMoment;
    private daysGroupedByWeek;
    private selectedDateItem;
    private daysOfMonth;
    private calendarModal;
    private datePickerOption?;
    constructor(modalCtrl: ModalController, viewCtrl: ViewController, params?: NavParams);
    private renderCalender();
    private generateDaysOfMonth(year, month, day);
    private groupByWeek(daysOfMonth);
    private selectDate(day);
    private setTodayAsDefaultSelectedDate();
    private isBelongToThisMonth(momentDate, month);
    private setMonthBack();
    private setMonthForward();
    private setYearBack();
    private setYearForward();
    private startingFrom(currentMomentDate);
    private endingAt(endingMomentDate);
    private confirmDateSelection();
    private cancel();
    showCalendar(datePickerOption?: DatePickerOption): void;
}
